ToStringUtil (Lucene 10.5.1 kuromoji API)
Description: declaration: package: org.apache.lucene.analysis.ja.dict, class: ToStringUtil

Package org.apache.lucene.analysis.ja.dict

# Class ToStringUtil

java.lang.Object
org.apache.lucene.analysis.ja.dict.ToStringUtil

public class ToStringUtil extends Object
Utility class for english translations of morphological data, used only for debugging.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToStringUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getInflectedFormTranslation(String s)`
  Get the english form of inflected form
  `static String`
  `getInflectionTypeTranslation(String s)`
  Get the english form of inflection type
  `static String`
  `getPOSTranslation(String s)`
  Get the english form of a POS tag
  `static void`
  `getRomanization(Appendable builder, CharSequence s)`
  Romanize katakana with modified hepburn
  `static String`
  `getRomanization(String s)`
  Romanize katakana with modified hepburn

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ToStringUtil

    public ToStringUtil()

- ## Method Details

  - ### getPOSTranslation

    public static String getPOSTranslation(String s)
    Get the english form of a POS tag

  - ### getInflectionTypeTranslation

    public static String getInflectionTypeTranslation(String s)
    Get the english form of inflection type

  - ### getInflectedFormTranslation

    public static String getInflectedFormTranslation(String s)
    Get the english form of inflected form

  - ### getRomanization

    public static String getRomanization(String s)
    Romanize katakana with modified hepburn

  - ### getRomanization

    public static void getRomanization(Appendable builder, CharSequence s) throws IOException
    Romanize katakana with modified hepburn
    Throws:
      `IOException`